binaryring(6)

NAME
binaryring - A system of path tracing particles evolves continuously from an initial creation.

SYNOPSIS
binaryring [--fps] [--install] [--noinstall] [--mono] [--root] [--window-id number] [--visual visual] [--window] [--window-id window-id] [--color] [--no-color] [--growth-delay delayms] [--particle-number particles] [--ring-radius radius]

DESCRIPTION
A system of path tracing particles evolves continuously from an initial circular creation. Ages of darkness play arbitrarily with ages of light.

OPTIONS
binaryring accepts the following options:

--fps
    Display the current frame rate and CPU load.

--install
    Install a private colormap for the window.

--mono
    If on a color display, pretend we're on a monochrome display.

--noinstall
    Don't install a private colormap for the window.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--window-id window-id
    Specify which window id to use.

--color (Default)
    Particles have random generated colors that gradually change over time.

--no-color
    Use the original black and white visualization.

--growth-delay delayms (Default: 10000)
    Delay in ms between growth cycles. More delay, slower (but less CPU intensive).

--particles-number particles (Default: 5000)
    The number of particles in the system. With more particles the fps can also be affected.

--ring-radius radius (Default: 40)
    The radius of the ring where the particles are born, in pixels.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1),
http://complexification.net/

COPYRIGHT
Based on code © 2003 by J. Tarbell <complex@complexification.net>.
XScreenSaver port: Emilio Del Tessandoro <emilio.deltessa@gmail.com>

AUTHOR
Patrick Leiser <patrick27leiser@yahoo.org>, Mar 2020.
Emilio Del Tessandoro <emilio.deltessa@gmail.com>, Aug 2014.